SparseFile.cpp File Reference

Contains implementations relating to reading of sparse field files. More...

`#include "SparseField.h"`
`#include "OgIO.h"`
`#include "OgSparseDataReader.h"`

Go to the source code of this file.

## Namespaces

namespace | SparseFile

## Macros

#define | FIELD3D_INSTANTIATION_LOADBLOCK(type)
#define | FIELD3D_INSTANTIATION_OPENFILE(type)

## Functions

| SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK (float16_t)
| SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK (float32_t)
| SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK (float64_t)
| SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK (vec16_t)
| SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK (vec32_t)
| SparseFile::FIELD3D_INSTANTIATION_LOADBLOCK (vec64_t)
| SparseFile::FIELD3D_INSTANTIATION_OPENFILE (float16_t)
| SparseFile::FIELD3D_INSTANTIATION_OPENFILE (float32_t)
| SparseFile::FIELD3D_INSTANTIATION_OPENFILE (float64_t)
| SparseFile::FIELD3D_INSTANTIATION_OPENFILE (vec16_t)
| SparseFile::FIELD3D_INSTANTIATION_OPENFILE (vec32_t)
| SparseFile::FIELD3D_INSTANTIATION_OPENFILE (vec64_t)

## Detailed Description

Contains implementations relating to reading of sparse field files.

Definition in file SparseFile.cpp.

## Macro Definition Documentation

## FIELD3D_INSTANTIATION_LOADBLOCK

#define FIELD3D_INSTANTIATION_LOADBLOCK | ( |  | type | ) |

Value:
template \
void Reference<type>::loadBlock(int blockIdx); \

Definition at line 601 of file SparseFile.cpp.

#define FIELD3D_INSTANTIATION_LOADBLOCK(type) \
template \
void Reference<type>::loadBlock(int blockIdx); \

## FIELD3D_INSTANTIATION_OPENFILE

#define FIELD3D_INSTANTIATION_OPENFILE | ( |  | type | ) |

Value:
template \
void Reference<type>::openFile(); \

Definition at line 614 of file SparseFile.cpp.

#define FIELD3D_INSTANTIATION_OPENFILE(type) \
template \
void Reference<type>::openFile(); \